be.vlaanderen.mercurius.mohm.schemas.v1

## Class ReportDeliveryAcceptedType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ReportDeliveryAcceptedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:07:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ReportDeliveryAcceptedType
      extends Object
      implements Serializable

  Generiek type voor positief antwoord op ontvangst van een aflevering.

  Java class for ReportDeliveryAcceptedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReportDeliveryAcceptedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DeliveryStatusType"/>
               <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportDeliveryAcceptedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeliveryStatusType` | `getStatus()` Gets the value of the status property.
    `org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
    `void` | `setStatus(DeliveryStatusType value)` Sets the value of the status property.
    `void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportDeliveryAcceptedType

          public ReportDeliveryAcceptedType()

  - ### Method Detail

    - #### getStatus

          public DeliveryStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `DeliveryStatusType`

    - #### setStatus

          public void setStatus(DeliveryStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `DeliveryStatusType`

    - #### getStatusDate

          public org.joda.time.DateTime getStatusDate()

      Gets the value of the statusDate property.
      Returns:
        possible object is `String`

    - #### setStatusDate

          public void setStatusDate(org.joda.time.DateTime value)

      Sets the value of the statusDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.